From: "Luis R. Rodriguez" <mcgrof@kernel.org>
To: Julia.Lawall@lip6.fr, Gilles.Muller@lip6.fr,
nicolas.palix@imag.fr, mmarek@suse.com
Cc: linux-kernel@vger.kernel.org, akpm@linux-foundation.org,
gregkh@linuxfoundation.org, markivx@codeaurora.org,
stephen.boyd@linaro.org, zohar@linux.vnet.ibm.com,
broonie@kernel.org, ming.lei@canonical.com, tiwai@suse.de,
johannes@sipsolutions.net, chunkeey@googlemail.com,
hauke@hauke-m.de, jwboyer@fedoraproject.org,
dmitry.torokhov@gmail.com, dwmw2@infradead.org, jslaby@suse.com,
torvalds@linux-foundation.org, cocci@systeme.lip6.fr,
"Luis R. Rodriguez" <mcgrof@kernel.org>
Subject: [PATCH v2 4/8] scripts: add glimpse.sh for indexing the kernel
Date: Thu, 16 Jun 2016 15:31:28 -0700 [thread overview]
Message-ID: <1466116292-21843-5-git-send-email-mcgrof@kernel.org> (raw)
In-Reply-To: <1466116292-21843-1-git-send-email-mcgrof@kernel.org>
Glimpse is a tool you can use to index the kernel. The tool
was open sourced on 2014-09-26 [0] under the ISC license however
the original release still [1] does not compile. A fix for this
and a release that does compile is provided in a temporary
tree [2].
v2 changesl:
o simplify DIR in one line and add verbose release information
to commit log about the open sourcing of glimpse and its
current status.
o add index files to .gitignore
[0] http://webglimpse.net/
[1] https://github.com/gvelez17/glimpse/
[2] https://github.com/mcgrof/glimpse.git
Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
.gitignore | 3 +++
scripts/glimpse.sh | 11 +++++++++++
2 files changed, 14 insertions(+)
create mode 100755 scripts/glimpse.sh
diff --git a/.gitignore b/.gitignore
index 2be25f771bd8..e6b40a6f3a7a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -113,3 +113,6 @@ all.config
# Kdevelop4
*.kdev4
+
+# Glimpse
+.glimpse_*
diff --git a/scripts/glimpse.sh b/scripts/glimpse.sh
new file mode 100755
index 000000000000..2e866228a88f
--- /dev/null
+++ b/scripts/glimpse.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+DIR="$(dirname $(readlink -f $0))/.."
+
+GLIMPSEINDEX="`which ${GLIMPSEINDEX:=glimpseindex}`"
+if [ ! -x "$GLIMPSEINDEX" ]; then
+ echo 'glimpseindex can be obtained at https://github.com/mcgrof/glimpse.git'
+ exit 1
+fi
+
+find $DIR/* -name "*.[ch]" | $GLIMPSEINDEX -o -H . -F
--
2.8.2
next prev parent reply other threads:[~2016-06-16 22:31 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-16 22:31 [PATCH v2 0/8] coccicheck: modernize Luis R. Rodriguez
2016-06-16 22:31 ` [PATCH v2 1/8] coccicheck: move spatch binary check up Luis R. Rodriguez
2016-06-16 22:31 ` [PATCH v2 2/8] coccicheck: enable parmap support Luis R. Rodriguez
2016-06-16 22:31 ` [PATCH v2 3/8] coccicheck: add indexing enhancement options Luis R. Rodriguez
2016-06-17 9:47 ` Julia Lawall
2016-06-17 15:12 ` Luis R. Rodriguez
2016-06-17 15:29 ` Julia Lawall
2016-06-16 22:31 ` Luis R. Rodriguez [this message]
2016-06-17 9:44 ` [PATCH v2 4/8] scripts: add glimpse.sh for indexing the kernel Julia Lawall
2016-06-17 15:10 ` Luis R. Rodriguez
2016-06-17 15:35 ` Julia Lawall
2016-06-18 1:22 ` Luis R. Rodriguez
2016-06-18 5:51 ` Julia Lawall
2016-06-20 19:18 ` Luis R. Rodriguez
2016-06-18 10:37 ` Julia Lawall
2016-06-18 10:38 ` Julia Lawall
2016-06-17 15:18 ` [Cocci] " SF Markus Elfring
2016-06-17 16:11 ` Julia Lawall
2016-06-16 22:31 ` [PATCH v2 5/8] coccicheck: replace --very-quiet with --quit when debugging Luis R. Rodriguez
2016-06-16 22:31 ` [PATCH v2 6/8] coccicheck: add support for requring a coccinelle version Luis R. Rodriguez
2016-06-16 22:31 ` [PATCH v2 7/8] coccicheck: refer to coccicheck bottest wiki for documentation Luis R. Rodriguez
2016-06-16 22:31 ` [PATCH v2 8/8] scripts/coccinelle: require coccinelle >= 1.0.4 on device_node_continue.cocci Luis R. Rodriguez
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1466116292-21843-5-git-send-email-mcgrof@kernel.org \
--to=mcgrof@kernel.org \
--cc=Gilles.Muller@lip6.fr \
--cc=Julia.Lawall@lip6.fr \
--cc=akpm@linux-foundation.org \
--cc=broonie@kernel.org \
--cc=chunkeey@googlemail.com \
--cc=cocci@systeme.lip6.fr \
--cc=dmitry.torokhov@gmail.com \
--cc=dwmw2@infradead.org \
--cc=gregkh@linuxfoundation.org \
--cc=hauke@hauke-m.de \
--cc=johannes@sipsolutions.net \
--cc=jslaby@suse.com \
--cc=jwboyer@fedoraproject.org \
--cc=linux-kernel@vger.kernel.org \
--cc=markivx@codeaurora.org \
--cc=ming.lei@canonical.com \
--cc=mmarek@suse.com \
--cc=nicolas.palix@imag.fr \
--cc=stephen.boyd@linaro.org \
--cc=tiwai@suse.de \
--cc=torvalds@linux-foundation.org \
--cc=zohar@linux.vnet.ibm.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox